package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

import java.util.ArrayList;

public class PeopleTest {

    Person person1 = new Person(12345);
    Person person2 = new Person(12346);
    ArrayList<Person> personList = new ArrayList<Person>();

    @Test
    public void testAdd(){
        // ensures that personList in people class is populated with person objects after invoking the add method
       personList.add(person1);
       personList.add(person2);
       Assert.assertEquals(2, personList.size());

    }

    @Test
    public void testRemoveByPerson(){
        // ensures that personList is depopulated by invoking the remove method using person
        personList.add(person1);
        personList.add(person2);
        personList.remove(person2);
        Assert.assertEquals(1, personList.size());
    }

    @Test
    public void testRemoveById(){  // *******************************************
        // ensure that person is removed from personList based on id
        personList.add(person1);
        personList.add(person2);
        //personList.remove(person1.);
        Assert.assertEquals(1, personList.size());
    }

    @Test
    public void testFindById(){
        // ensures that a person object and id is returned when findById method is invoked on a people object

    }

    @Test
    public void testGetArray(){
        // ensures the array has all people added



    }

    @Test
    public void testRemoveAll(){  //**************************************
        // ensures all persons have been removed
        personList.add(person1);
        personList.add(person2);
        // removeAll
        Assert.assertEquals(1, personList.size());


    }









}
