package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

import static org.junit.Assert.*;

public class StudentsTest {

    @Test
    public void testSingletonInstance(){
        // make sure calling .getInstance twice gives the same instance
        Student instance1 = Students.getInstance();
        Student instance2 = Students.getInstance();

        Assert.assertEquals(instance1, instance2);

    }

    @Test
    public void testInitializationSetupStudents(){
        // ensures all students are in one singleton when getArray is called
        System.out.println(Students.getInstance());

    }


}