package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestPerson {
    @Test
    public void testConstructor(){
        // ensures that person objects id is being set up upon construction

        Person p = new Person(12345);
        long expected = 12345;
        long actual = p.getId();

        Assert.assertEquals(expected, actual);

    }

    @Test
    public void testGetAndSetName(){
        // ensures person object's name is being set by invoking the setName method  and getName works too

        Person p = new Person(12345);
        p.setName("Kate");
        String expected = "Kate";
        String actual = p.getName();

        Assert.assertEquals(expected, actual);
    }
}
