package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class StudentTest {

    Student student1 = new Student(12345, "Kate");

    @Test
    public void testImplementation(){
        // ensure student is an instance of learner
        student1.learn(2.0);
        Assert.assertEquals(2.0, student1.getTotalStudyTime(), 0.01);
    }

    @Test
    public void testInheritance(){
       // ensure student is an instance of a person
        student1.setName("Kate");
        Assert.assertEquals("Kate", student1.getName());
    }


    @Test
    public void testLearn(){
       // ensure students totalStudyTime variable is incremented by specified numberOfHours by invoking .learn method
        student1.setTotalStudyTime(3.0);
        student1.learn(10.0);
        Assert.assertEquals(13.0, student1.getTotalStudyTime(), 0.01);
    }


}
